https://github.com/lsp-plugins/lsp-tk-lib/commit/9afbda5b0db2909304248bdc69bb5c03a4278f74
https://github.com/sadko4u/lsp-plugins/issues/272
https://bugs.gentoo.org/877557

From: sadko4u <sadko4u@gmail.com>
Date: Fri, 9 Sep 2022 23:36:53 +0300
Subject: [PATCH] Returned back double buffering for the window

--- a/modules/lsp-tk-lib/src/main/widgets/containers/Window.cpp
+++ b/modules/lsp-tk-lib/src/main/widgets/containers/Window.cpp
@@ -300,15 +300,20 @@ namespace lsp
 
             size_t flags = nFlags;
 
-            s->begin();
+            ws::ISurface *bs = get_surface(s);
+            bs->begin();
             {
                 ws::rectangle_t xr;
                 xr.nLeft    = 0;
                 xr.nTop     = 0;
                 xr.nWidth   = sSize.nWidth;
                 xr.nHeight  = sSize.nHeight;
-                render(s, &xr, flags);
+                render(bs, &xr, flags);
             }
+            bs->end();
+
+            s->begin();
+                s->draw(bs, 0.0f, 0.0f, 1.0f, 1.0f, 0.0f);
             s->end();
             commit_redraw();
 

